Leçon 1: Phonétique, Bonjour
============================

<div class="resume">

Introduction au Pinyin, l'Alphabet Phonétique Chinois et aux quatre tons
du mandarin. Première conversation: Bonjour, Au revoir. Premier exercice
de calligraphie chinoise.

</div>

Contenu de la leçon {#lesson01.xhtml#sigil_toc_id_6}
-------------------

<div class="contents">

-   Les initiales
-   Les finales
-   Les tons
-   Variations de Tons
-   Conversation
-   Exercices de calligraphie

</div>

Le Pinyin, l'Alphabet Phonétique Chinois {#lesson01.xhtml#sigil_toc_id_7}
----------------------------------------

De nombreux systèmes ont été utilisés pour apprendre et transcrire la
prononciation du Chinois. Aujourd'hui la transcription officielle
adoptée au niveau international est basée sur l'alphabet Pinyin,
développé en Chine à la fin des années 1950.

Les initiales {#lesson01.xhtml#sigil_toc_id_8}
-------------

En Chinois, une syllabe est composée d'une initiale, qui est la consonne
qui commence la syllabe, et une finale, qui couvre le reste de la
syllabe.

  ---- ---- ---- ---
  b    p    m    f
  d    t    n    l
  g    k    h    
  j    q    x    
  z    c    s    
  zh   ch   sh   r
  ---- ---- ---- ---

d, m, f, n, et l sont prononcés comme en Français.

j se prononce " dj " comme "genius" en Anglais

z se prononce " dz "

zh se prononce " dj " comme "job" en Anglais

b se prononce entre " p " et " b "

g se prononce entre " k " et le " gu "

h aspiré gutural tend un peu vers le " r " Français.

x se prononce " ch " tirant vers le " s ", comme dans "chien"

sh se prononce " ch " mais légèrement grave, comme dans " chat "

r se prononce un peu comme le " r " de " rain " en Anglais

Il faut faire attention à la prononciation des consonnes dites
"aspirées". L'air doit être expiré juste après avoir prononcé la
consonne.

p se prononce " p "

t se prononce " t "

k se prononce " k "

q se prononce entre " tch " et " ts "c

h se prononce " tch " mais la langue plus repliéec se prononce " ts "

#### Initiales aux prononciations assez proches: {#lesson01.xhtml#sigil_toc_id_9}

<div class="deux">

b/p, d/t, g/k, j/q, z/c, zh/ch

</div>

Les Finales {#lesson01.xhtml#sigil_toc_id_10}
-----------

En Chinois moderne, on dénombre 38 finales possibles après les 21
initiales présentées plus haut.

  ----- ---------- ---------- -----
        i          u          ü
  a     ia         ua         
  o                uo         üe
  e     ie                    
  er                          
  ai               uai        
  ei               uei (ui)   
  ao    iao                   
  ou    iou (iu)              
  an    ian        uan        üan
  en    in         uen (un)   üen
  ang   iang       uang       
  eng   ieng       ueng       
  ong   iong                  
  ----- ---------- ---------- -----

"ie se prononce entre " yé " " yè "; e se prononce " e "; er se prononce
entre le " e " et le " a ", assez gutural; ai se prononce " aille "; ei
se prononce " eille "; ou se prononce " o " comme dans " go " en
Anglais; an se prononce " ane " sans forcer sur le "n"; - ng (finale)
est utilisé pour rendre un son plus nasal. Le " g " ne se prononce pas.
uei , uen et iou précédé d'une initiale s'écrivent respectivement ui ,
un et iu .

Les Tons {#lesson01.xhtml#sigil_toc_id_11}
--------

Le Chinois Mandarin possède quatre tons plus un ton "plat".

  --------- -------- --------------------------------------------------------------------------------
  Ton       Marque   Description
  1er       dā       Haut et constant
  2nd       dá       Commence par un ton médium et monte vers le ton haut
  3ème      dǎ       Commence par un ton bas, descend vers les graves puis remonte vers le ton haut
  4ème      dà       Commence par un ton haut et descend sèchement vers les graves
  Neutral   da       Plat et sans expression
  --------- -------- --------------------------------------------------------------------------------

Variations de Tons {#lesson01.xhtml#sigil_toc_id_12}
------------------

Un 3ème ton suivi immédiatement d'un autre 3ème ton se prononce comme un
2ème ton.

<span class="pinyin">Nǐ hǎo</span> = <span class="pinyin">Ní hǎo</span>

Conversation et Vocabulaire {#lesson01.xhtml#sigil_toc_id_13}
---------------------------

### Dialogue {#lesson01.xhtml#sigil_toc_id_14}

-   <audio controls="controls" src="../Audio/01-01.mp3">
    </audio>
    \
    - <span class="pinyin">Nǐ hǎo ！</span>\
    - <span class="hanzi">你好 !</span>\
    - Bonjour!
-   <audio controls="controls" src="../Audio/01-02.mp3">
    </audio>
    \
    - <span class="pinyin">Zài jiàn！</span>\
    - <span class="hanzi">再见 !</span>\
    - Au revoir!

### Vocabulaire {#lesson01.xhtml#sigil_toc_id_15}

  ----------------------------------- --------------------------------------- ------- -------------------------
  <span class="hanzi">你</span>       <span class="pinyin">nǐ</span>          (pro)   tu, toi
  <span class="hanzi">好</span>       <span class="pinyin">hǎo</span>         (adj)   bon, bien
  <span class="hanzi">你好！</span>   <span class="pinyin">nǐ hǎo!</span>             Bonjour! Comment ça va?
  <span class="hanzi">再</span>       <span class="pinyin">zài</span>         (adv)   encore
  <span class="hanzi">见</span>       <span class="pinyin">jiàn</span>        (v)     voir
  <span class="hanzi">再见！</span>   <span class="pinyin">zài jiàn!</span>           Au revoir!
  ----------------------------------- --------------------------------------- ------- -------------------------

Exercice de calligraphie {#lesson01.xhtml#sigil_toc_id_16}
------------------------

Nos 4 premiers caractères : <span class="hanzi">你</span>，<span
class="hanzi">好</span>，<span class="hanzi">再</span> et <span
class="hanzi">见</span>. Respectez bien l'ordre des traits.

Cliquez sur l'image pour avoir la fiche détaillée du caractère
(calligraphie, étymologie, etc...)

[Apprendre les caractères
chinois](http://www.chine-nouvelle.com/methode/caracteres)

-   ![img38.jpeg](Images/img38.jpeg)
-   ![img39.jpeg](Images/img39.jpeg)
-   ![img40.jpeg](Images/img40.jpeg)
-   ![img41.jpeg](Images/img41.jpeg)

